{% extends 'app_pizzaplanet/base.html' %}
{% load static %}



{%block contenido%}

<!--ALERTA AGREGAR CARRITO-->
<script>

    function alertaCarrito() {
        Swal.fire({
            title: '¿Agregar producto al carrito?',
            icon: 'info',
            confirmButton: true,
            confirmButtonColor: 'Green',
            showCancelButton: true,
            cancelButtonText: 'Descartar',

        }).then(function (result) {
            if (result.isConfirmed) {
                window.location.href = "/miCarrito/";
            }

        });
    }
</script>




<script>
    $(document).ready(function () {
        $('h3').css("font-weight", "bold")
        $('.card-title').css("font-weight", "bold")


    });
</script>




<!--ALERTA AL REGISTRAR NUEVO USUARIO-->
{% if messages %}

{% for message in messages %}
<script>
    Swal.fire({
        
        position: 'top-end',
        title:'Exito!',
        text: '{{message}}',
        icon: 'success',
        showConfirmButton: false,
        timer: 2000


    })
</script>
{% endfor %}
{% endif %}







<!--Carrusel-->



<div class="container text-center mt-3 carrusel-center">


    <div id="demo" class="carousel slide" data-ride="carousel">

        <!-- Indicators -->
        <ul class="carousel-indicators">
            <li data-target="#demo" data-slide-to="0" class="active"></li>
            <li data-target="#demo" data-slide-to="1"></li>
        </ul>

        <!-- The slideshow -->
        <div class="carousel-inner">
            <div class="carousel-item active">
                <img src="{% static 'app_pizzaplanet/img/carrusel3.jpg' %}" alt="Pizza 1 " width="1000"
                    class="margin-left:150px">
            </div>
            <div class="carousel-item">
                <img src="{% static 'app_pizzaplanet/img/carrusel1.jpg' %}" alt="pizza 2" width="1000">
            </div>

        </div>

        <!-- Left and right controls -->
        <a class="carousel-control-prev" href="#demo" data-slide="prev">
            <span class="carousel-control-prev-icon"></span>
        </a>
        <a class="carousel-control-next" href="#demo" data-slide="next">
            <span class="carousel-control-next-icon"></span>
        </a>

    </div>

</div>





<div class="container-fluid mt-3">
    <div class="row">









        <div class="col-md-12 ">
            <!--Menu medio-->
            <div  id="navbar" class="container submenu text-center">
                <div>
                    <nav class="navbar">
                        <ul class=" navbar-nav">
                        <!--icono promos-->
                        <li class="nav-item"><a class="nav-link" href="seccion1"><i class="fas fa-tag"></i> Promociones</a></li>
                        <!--icono pizzas-->
                        
                        <li class="nav-item"><a class="nav-link" href="#seccion2"><i class="fas fa-pizza-slice"></i> Pizzas</a></li>
                        <!--icono acompañamientos-->
                       
                        <li class="nav-item"><a class="nav-link" href="#seccion3"> <i class="fas fa-ice-cream"></i> Acompañamientos</a></li>
                        <!--icono bebidas-->
                        
                        <li class="nav-item"><a class="nav-link" href="#seccion4"><i class="fas fa-beer"></i> Bebidas</a></li>
                        

                        </ul>

                    </nav>
                </div>

            </div>
            <br>

            <!--tarjetas prommociones-->
            <section id="seccion1">
                <div class="container mt-2">
                    <h3>Promociones</h3>

                    <div class="row">
                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow   rounded">
                                    <h5 class="card-title pt-2 text-center">Planet Home 3 ingredientes!</h5>
                                    <img src="{% static 'app_pizzaplanet/img/papa home.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <div class="card-body">
                                        <p class="card-text -50 description">Lleva tu pizza XL de 3 ingredientes
                                            y te
                                            REGALAMOS una pizza mediana!</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 15.000</span></h5>
                                        
                                        <div class="d-grid gap-2">

                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i></a>

                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow   rounded">
                                    <h5 class="card-title pt-2 text-center">Planet Home 4 ingredientes!</h5>
                                    <img src="{% static 'app_pizzaplanet/img/papa home.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <div class="card-body">
                                        <p class="card-text -50 description">Lleva tu pizza XL de 4 ingredientes
                                            y te
                                            REGALAMOS una pizza mediana!</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 16.000</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow   rounded">
                                    <h5 class="card-title pt-2 text-center">Planet Home 5 ingredientes!</h5>
                                    <img src="{% static 'app_pizzaplanet/img/papa home.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <div class="card-body">
                                        <p class="card-text -50 description">Lleva tu pizza XL de 4 ingredientes
                                            y te
                                            REGALAMOS una pizza mediana!</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 16.000</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>


                    </div>

                </div>
            </section>


            <!--tarjetas pizzas-->
            <section id="seccion2">
                <div class="container mt-3">
                    <h3>Pizzas</h3>

                    <div class="row">

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Pizza planet 1</h5>
                                    <img src="{% static 'app_pizzaplanet/img/pizza piña.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>Tradicional/Familiar</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">Super pizza con piña 1</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 11.000</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Pizza planet 2</h5>
                                    <img src="{% static 'app_pizzaplanet/img/pizza piña.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>Tradicional/Familiar</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">Super pizza con piña 2</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 12.990</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Pizza planet 3</h5>
                                    <img src="{% static 'app_pizzaplanet/img/pizza piña.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>Tradicional/Familiar</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">Super pizza con piña 2</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 12.990</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>


                    </div>

                </div>
            </section>


            <!--Tarjetas acompañamientos-->
            <section id="seccion3">
                <div class="container mt-3">
                    <h3>Acompañamientos</h3>

                    <div class="row">
                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Palitos de Ajo y Queso</h5>
                                    <img src="{% static 'app_pizzaplanet/img/palitos.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>10 unidades</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">Palitos de pan horneados cubiertos
                                            con
                                            salsa de ajo y acompañada de 2 cups de
                                            salsas de tomate.</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 3.200</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>

                        <div class="col-sm-4">

                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Alitas de pollo</h5>
                                    <img src="{% static 'app_pizzaplanet/img/alitas.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>8 unidades</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">8 deliciosas alitas de pollo
                                            americanas
                                            acompañadas de cups de salsa BBQ.</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 4.400</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>

                        <div class="col-sm-4">

                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Chicken Poppers</h5>
                                    <img src="{% static 'app_pizzaplanet/img/chicken.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>12 unidades</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">12 deliciosos trozos de pechuga de
                                            pollo
                                            apanados, horneados y acompañados de
                                            salsa BBQ.</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 4.400</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>

                            </div>

                        </div>

                    </div>

                </div>
            </section>



            <!--tarjetas bebidas-->
            <section id="seccion4">
                <div class="container mt-3">
                    <h3>Bebidas</h3>

                    <div class="row">

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Sprite</h5>
                                    <img src="{% static 'app_pizzaplanet/img/sprite.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>1.5 LT</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">La bebida lima-limón más famosa del
                                            mundo.</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 2.700</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Fanta</h5>
                                    <img src="{% static 'app_pizzaplanet/img/fanta.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>1.5 LT</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">La más increíble bebida con sabor a
                                            naranja de Coca-Cola.</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 2.700</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-sm-4">
                            <div class="card">
                                <div class="card shadow  rounded">
                                    <h5 class="card-title pt-2 text-center">Coca-Cola</h5>
                                    <img src="{% static 'app_pizzaplanet/img/coca.jpg' %}" class="card-img-top"
                                        alt="..." width="150">
                                    <h6>1.5 LT</h6>
                                    <div class="card-body">
                                        <p class="card-text -50 description">La más clásica bebida en su receta
                                            original.</p>
                                        <h5 class="text-dark">Precio: <span class="precio">$ 2.700</span></h5>
                                        <div class="d-grid gap-2">
                                            <a name="" id="" class="btn btn-danger " href="#"
                                                onclick="alertaCarrito({{item.codigo}})" role="button">Añadir <i class='fas fa-cart-plus'></i>
                                                </a>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>
            </section>



        </div>



    </div>
</div>




<!--CARRITO ANTERIOR NO BORRAR, EN CASO DE QUE NO RESULTE HACER OTRO CARRO-->
<!--este es el carrito NO BORRAR-->
<!--plugin jquery minicart js-->
<!--<script src="{% static 'app_pizzaplanet/js/minicart.js' %}"></script>
<script>
    // configuración inicial del carrito 
    paypal.minicart.render({
        strings: {

            button: 'Pagar'
            , buttonAlt: "Total"
            , subtotal: 'Total:'
            , empty: 'No hay productos en el carrito'
        }
    });

    // Eventos para agregar productos al carrito

    $('.producto').click(function (e) {
        e.stopPropagation();
        paypal.minicart.cart.add({
            business: 'pizzaplante@gmail.com', // Cuenta paypal para recibir el dinero
            item_name: $(this).attr("titulo"),
            amount: $(this).attr("precio"),
            currency_code: 'CLP',


        });
    });


</script>-->



{%endblock contenido%}